kind: pipeline
name: default

steps:
  - name: docker
    image: plugins/docker
    settings:
      repo: docker.data.coop/pinafore
      registry: docker.data.coop
      username:
        from_secret: DOCKER_USERNAME
      password:
        from_secret: DOCKER_PASSWORD
      tags:
        - "${DRONE_BUILD_NUMBER}"
        - "${DRONE_TAG}"
        - "latest"
    when:
      ref:
        - refs/tags/*
      event:
        exclude:
          - pull_request
  
  - name: notify
    image: plugins/matrix
    settings:
      homeserver: https://data.coop
      roomid: plKSghHbepWeUEtbHE:data.coop
      username: 
        from_secret: matrix_username
      password:
        from_secret: matrix_password
